From 796def45daa1997bb5f41f191b1ee9663dfb116c Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Fri, 13 May 2022 09:01:15 +0200
Subject: [PATCH 11/34] Add missing slurm_msg_set_r_uid()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmd/slurmstepd/mgr.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/slurmd/slurmstepd/mgr.c b/src/slurmd/slurmstepd/mgr.c
index 0200237437..4fba18f390 100644
--- a/src/slurmd/slurmstepd/mgr.c
+++ b/src/slurmd/slurmstepd/mgr.c
@@ -2428,6 +2428,7 @@ _send_complete_batch_script_msg(stepd_step_rec_t *job, int err, int status)
 				slurm_set_addr_char(&req_msg.address,
 						    conf->port, conf->hostname);
 			}
+			slurm_msg_set_r_uid(&req_msg, SLURM_AUTH_UID_ANY);
 			msg_rc = slurm_send_recv_rc_msg_only_one(&req_msg,
 								 &rc, 0);
 		}
-- 
2.35.3


